summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
authorMichał Górny <mgorny@gentoo.org>2026-02-07 08:08:03 +0100
committerMichał Górny <mgorny@gentoo.org>2026-02-07 10:52:23 +0100
commitcf72fd276f4b5d4e8600a6408789c2647389a0dd (patch)
treecc6bbc0bc1cad9cd201ef74634430d47914d747f /dev-python
parentf0e2a1f5c2217ee2d5d562641a2e171c3f277c8e (diff)
downloadgentoo-cf72fd276f4b5d4e8600a6408789c2647389a0dd.tar.gz
gentoo-cf72fd276f4b5d4e8600a6408789c2647389a0dd.tar.bz2
gentoo-cf72fd276f4b5d4e8600a6408789c2647389a0dd.zip
dev-python/pyfakefs: Bump to 6.1.0
Signed-off-by: Michał Górny <mgorny@gentoo.org>
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/pyfakefs/Manifest1
-rw-r--r--dev-python/pyfakefs/pyfakefs-6.1.0.ebuild60
2 files changed, 61 insertions, 0 deletions
diff --git a/dev-python/pyfakefs/Manifest b/dev-python/pyfakefs/Manifest
index 15feec004010..5c603e7bff80 100644
--- a/dev-python/pyfakefs/Manifest
+++ b/dev-python/pyfakefs/Manifest
@@ -1 +1,2 @@
DIST pyfakefs-6.0.0.gh.tar.gz 255364 BLAKE2B 953b367fa95cbb2dccf3367de4ba6f768387d87bce2f6849b9cba4b269d52ad15f1facc12137be16095944fec9d863f6bb32aa0eeead27c97a4059e7b7d6b60e SHA512 49112c5f89843eace74ab2011b4ee1db1e5e100d3358950f4664ef3fb7f309fcef720e571e66e4b88d0997cb81f02b30c1063ac55a1877651e8aa9c3e7fa3ee4
+DIST pyfakefs-6.1.0.gh.tar.gz 256597 BLAKE2B 9bd8335327bcd4641daddd5d65002849372462c7e9cc6260a2dbc4e84c3116b5b2423bb0ec60c27f37498cfb44858a1b27ed0f9650239399864a0b34edf54be9 SHA512 998ecb17afae46519da9fbca409b7cd0cb6b13c45867ad5c20b6abe1747850e4b9812aee2916f9c20d884adb0e244f87dba74a743e6d98e0e789469f90e2cc5f
diff --git a/dev-python/pyfakefs/pyfakefs-6.1.0.ebuild b/dev-python/pyfakefs/pyfakefs-6.1.0.ebuild
new file mode 100644
index 000000000000..a6e8164bf978
--- /dev/null
+++ b/dev-python/pyfakefs/pyfakefs-6.1.0.ebuild
@@ -0,0 +1,60 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{11..14} pypy3_11 )
+
+inherit distutils-r1
+
+DESCRIPTION="A fake file system that mocks the Python file system modules"
+HOMEPAGE="
+ https://github.com/pytest-dev/pyfakefs/
+ https://pypi.org/project/pyfakefs/
+"
+SRC_URI="
+ https://github.com/pytest-dev/pyfakefs/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~x64-macos"
+
+EPYTEST_PLUGINS=( "${PN}" )
+distutils_enable_tests pytest
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # requires *.dist-info/RECORD file that we're stripping
+ pyfakefs/tests/fake_filesystem_test.py::RealFileSystemAccessTest::test_add_package_metadata
+ # wants dev-python/openpyxl
+ pyfakefs/tests/patched_packages_test.py::TestPatchedPackages::test_read_excel
+ )
+ local EPYTEST_IGNORE=(
+ # test for regression with opentimelineio package
+ pyfakefs/pytest_tests/segfault_test.py
+ # test for regression with undefined package
+ pyfakefs/pytest_tests/pytest_fixture_test.py
+ )
+
+ if ! has_version "dev-python/pandas[${PYTHON_USEDEP}]"; then
+ EPYTEST_IGNORE+=(
+ pyfakefs/pytest_tests/pytest_reload_pandas_test.py
+ )
+ fi
+
+ case ${EPYTHON} in
+ pypy3.11)
+ EPYTEST_DESELECT+=(
+ # TODO: this test messes up everything
+ pyfakefs/tests/fake_filesystem_unittest_test.py::TestDeprecationSuppression::test_no_deprecation_warning
+ # TODO
+ pyfakefs/tests/fake_pathlib_test.py::SkipPathlibTest::test_exists
+ )
+ ;;
+ esac
+
+ epytest
+}